# GravityChooser.GravityChooserPauseMenuScreen Class Reference

The pause menu comes up over the top of the game, giving the player options to resume or quit. More...

Inheritance diagram for GravityChooser.GravityChooserPauseMenuScreen:

List of all members.

## Public Member Functions
| GravityChooserPauseMenuScreen ()
| Constructor.
override void | Draw (GameTime gameTime)
| Draws the pause menu screen. This darkens down the gameplay screen that is underneath us, and then chains to the base MenuScreen.Draw.

## Detailed Description

The pause menu comes up over the top of the game, giving the player options to resume or quit.

Definition at line 15 of file GravityChooserPauseMenuScreen.cs.

## Constructor & Destructor Documentation

GravityChooser.GravityChooserPauseMenuScreen.GravityChooserPauseMenuScreen | ( |  | ) |

Constructor.

Definition at line 22 of file GravityChooserPauseMenuScreen.cs.

    00023             : base("Paused")
    00024         {
    00025             // Flag that there is no need for the game to transition
    00026             // off when the pause menu is on top of it.
    00027             IsPopup = true;
    00028
    00029             // Create our menu entries.
    00030             MenuEntry resumeGameMenuEntry = new MenuEntry("Resume Game");
    00031             MenuEntry quitGameMenuEntry = new MenuEntry("Quit Game");
    00032
    00033             // Hook up menu event handlers.
    00034             resumeGameMenuEntry.Selected += OnCancel;
    00035             quitGameMenuEntry.Selected += QuitGameMenuEntrySelected;
    00036
    00037             // Add entries to the menu.
    00038             MenuEntries.Add(resumeGameMenuEntry);
    00039             MenuEntries.Add(quitGameMenuEntry);
    00040         }

## Member Function Documentation

override void GravityChooser.GravityChooserPauseMenuScreen.Draw | ( | GameTime | gameTime | ) | `[virtual]`

Draws the pause menu screen. This darkens down the gameplay screen that is underneath us, and then chains to the base MenuScreen.Draw.

Reimplemented from NewGamePhysics.StateManager.MenuScreen.

Definition at line 79 of file GravityChooserPauseMenuScreen.cs.

    00080         {
    00081             ScreenManager.FadeBackBufferToBlack(TransitionAlpha * 2 / 3);
    00082
    00083             base.Draw(gameTime);
    00084         }

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/GravityChooser/Screens/GravityChooserPauseMenuScreen.cs